/*
 * Employee.java
 *
 * Created on October 15, 2006, 10:08 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package monthlyitems;

import java.io.File;
import java.io.FileNotFoundException;
import java.util.Scanner;

/**
 *
 * @author Brandan
 */
public class Employee implements MonthlyCommand {
    
    /** Creates a new instance of Employee */
    public Employee() {
    }
    
    public void execute(File file) throws Exception {
         try {
             // Scanner to read values from the file.
            Scanner scanner = new Scanner(file);
            String firstName = scanner.next();
            String lastName = scanner.next();
            int salary = scanner.nextInt();
            String bankName = scanner.next();
            int routingTransit = scanner.nextInt();
            int account = scanner.nextInt();
                    
            // Simulate an ACH/EFT transaction to an employee bank account.
            // In real life, this would probably invoke receiver classes and objects that would perform tax calcualtions, deductions, etc.
            System.out.println("Sending payroll via ACH to " + firstName + " " + lastName + " in the amount of: $" + salary);
            System.out.println("Bank name: " + bankName + " R&T: " + routingTransit + " account: " + account);
        } catch (FileNotFoundException e) {
            // this probably would have been caught earlier.  Just rethrow here.
            System.out.println("File not found: " + file.getName());
            throw e;
        }
    }
    
}
