/*
 * Runner.java
 *
 * Created on October 15, 2006, 10:03 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package monthlyitems;

import java.io.File;

/**
 *
 * @author Brandan
 */
public class Runner {
    
    /** Creates a new instance of Runner */
    public Runner() {
    }
    
    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        // TODO code application logic here
        process();
    }
    
    
    public static void process() {
        // read in files from the directory.
        // In real life, we'd have this in a configuration file.
        File dir = new File("inputData");
        
        // get a list of the files.
        File[] files = dir.listFiles();
       
        // loop through all of the files found in the directory.
        for (File f:files) {
            try {
                // find the parameter that we'll send to the factory method.

                String fileName = f.getName();
                String factoryParam = fileName.substring(0,fileName.indexOf("0"));

                // instantiate appropriate object and run.    
                MonthlyCommand monthlyCommand = MonthlyFactory.createMonthlyCommand(factoryParam);
                
                // execute the command method.
                monthlyCommand.execute(f);
            
            // if we have a problem with a particular file, just skip it and move on.
            } catch (Exception e) {
                System.out.println("There was a problem exexuting this file.  Skipping file and continuing...");
            }
            
        }
    }
}
